- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros
VSDContentCollector.cpp File Reference
`#include <string.h>`
`#include <set>`
`#include <stack>`
`#include <boost/spirit/include/classic.hpp>`
`#include <unicode/ucnv.h>`
`#include <unicode/utf8.h>`
`#include "VSDContentCollector.h"`
`#include "VSDParser.h"`
`#include "VSDInternalStream.h"`

## Macros
#define | DUMP_BITMAP 0
#define | M_PI 3.14159265358979323846
#define | SURROGATE_VALUE(h, l) (((h) - 0xd800) * 0x400 + (l) - 0xdc00 + 0x10000)
#define | LIBVISIO_EPSILON 1E-10
#define | VSD_NUM_POLYLINES_PER_KNOT 100

## Macro Definition Documentation

#define DUMP_BITMAP 0

#define LIBVISIO_EPSILON 1E-10

Referenced by libvisio::VSDContentCollector::_generatePolylineFromNURBS(), libvisio::VSDContentCollector::_isUniform(), libvisio::VSDContentCollector::_NURBSBasis(), and libvisio::VSDContentCollector::collectEllipticalArcTo().

#define M_PI 3.14159265358979323846

Referenced by libvisio::VSDContentCollector::_flushCurrentForeignData(), libvisio::VSDContentCollector::_flushText(), libvisio::VSDContentCollector::collectArcTo(), libvisio::VSDContentCollector::collectEllipse(), libvisio::VSDContentCollector::collectEllipticalArcTo(), and libvisio::VSDContentCollector::transformAngle().

#define SURROGATE_VALUE | ( |  | h,
|  |  | l
| ) |  | (((h) - 0xd800) * 0x400 + (l) - 0xdc00 + 0x10000)

#define VSD_NUM_POLYLINES_PER_KNOT 100

Referenced by libvisio::VSDContentCollector::_generatePolylineFromNURBS().